%{?mingw_package_header}

Name:           mingw-libxml2
Version:        2.10.3
Release:        %mkrel 1
Summary:        MinGW Windows libxml2 XML processing library

License:        MIT
Group:          Development/Other
URL:            http://xmlsoft.org/
Source0:        https://gitlab.gnome.org/GNOME/libxml2/-/archive/v%{version}/libxml2-v%{version}.tar.bz2

# Patch from openSUSE.
# See:  https://bugzilla.gnome.org/show_bug.cgi?id=789714
Patch1:         libxml2-2.9.8-python3-unicode-errors.patch

BuildArch:      noarch

BuildRequires:  automake autoconf libtool
BuildRequires:  make

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-zlib


%description
MinGW Windows libxml2 XML processing library.


# Win32
%package -n mingw32-libxml2
Summary:        MinGW Windows libxml2 XML processing library
Requires:       pkgconfig

%description -n mingw32-libxml2
MinGW Windows libxml2 XML processing library.

%package -n mingw32-libxml2-static
Summary:        Static version of the MinGW Windows XML processing library
Requires:       mingw32-libxml2 = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-libxml2-static
Static version of the MinGW Windows XML processing library.

# Win64
%package -n mingw64-libxml2
Summary:        MinGW Windows libxml2 XML processing library
Requires:       pkgconfig

%description -n mingw64-libxml2
MinGW Windows libxml2 XML processing library.

%package -n mingw64-libxml2-static
Summary:        Static version of the MinGW Windows XML processing library
Requires:       mingw64-libxml2 = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-libxml2-static
Static version of the MinGW Windows XML processing library.


%?mingw_debug_package


%prep
%autosetup -p1 -n libxml2-v%{version}


%build
NOCONFIGURE=1 ./autogen.sh

# LibXML2 can't build static and shared libraries in one go, so we build LibXML2 twice here
MINGW32_CPPFLAGS="-DLIBXML_STATIC_FOR_DLL" \
MINGW64_CPPFLAGS="-DLIBXML_STATIC_FOR_DLL" \
MINGW_BUILDDIR_SUFFIX=static %mingw_configure --without-python --with-modules --enable-static --disable-shared --with-threads=win32
MINGW_BUILDDIR_SUFFIX=shared %mingw_configure --without-python --with-modules --disable-static --enable-shared --with-threads=win32

MINGW_BUILDDIR_SUFFIX=static %mingw_make_build
MINGW_BUILDDIR_SUFFIX=shared %mingw_make_build


%install
MINGW_BUILDDIR_SUFFIX=static %mingw_make_install
MINGW_BUILDDIR_SUFFIX=shared %mingw_make_install

# Remove documentation which duplicates Fedora native.
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw32_docdir}
rm -rf %{buildroot}%{mingw32_datadir}/gtk-doc/

rm -rf %{buildroot}%{mingw64_mandir}
rm -rf %{buildroot}%{mingw64_docdir}
rm -rf %{buildroot}%{mingw64_datadir}/gtk-doc/

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-libxml2
%license Copyright
%{mingw32_bindir}/libxml2-2.dll
%{mingw32_bindir}/xml2-config
%{mingw32_bindir}/xmlcatalog.exe
%{mingw32_bindir}/xmllint.exe
%{mingw32_libdir}/libxml2.dll.a
%{mingw32_libdir}/cmake/libxml2/
%{mingw32_libdir}/pkgconfig/libxml-2.0.pc
%{mingw32_includedir}/libxml2
%{mingw32_datadir}/aclocal/*

%files -n mingw32-libxml2-static
%{mingw32_libdir}/libxml2.a

# Win64
%files -n mingw64-libxml2
%license Copyright
%{mingw64_bindir}/libxml2-2.dll
%{mingw64_bindir}/xml2-config
%{mingw64_bindir}/xmlcatalog.exe
%{mingw64_bindir}/xmllint.exe
%{mingw64_libdir}/libxml2.dll.a
%{mingw64_libdir}/cmake/libxml2/
%{mingw64_libdir}/pkgconfig/libxml-2.0.pc
%{mingw64_includedir}/libxml2
%{mingw64_datadir}/aclocal/*

%files -n mingw64-libxml2-static
%{mingw64_libdir}/libxml2.a




%changelog
* Thu Oct 27 2022 tv <tv> 2.10.3-1.mga9
+ Revision: 1899620
- Update to 2.10.3

* Tue May 03 2022 tv <tv> 2.9.14-1.mga9
+ Revision: 1855574
- Update to 2.9.14

* Sun May 01 2022 tv <tv> 2.9.13-2.mga9
+ Revision: 1855391
- Update to 2.9.13

* Thu Mar 24 2022 umeabot <umeabot> 2.9.10-2.mga9
+ Revision: 1825405
- Mageia 9 Mass Rebuild

* Sun Apr 12 2020 daviddavid <daviddavid> 2.9.10-1.mga8
+ Revision: 1566592
- new version: 2.9.10

* Fri Feb 14 2020 umeabot <umeabot> 2.9.9-2.mga8
+ Revision: 1522161
- Mageia 8 Mass Rebuild

* Tue Jan 22 2019 daviddavid <daviddavid> 2.9.9-1.mga7
+ Revision: 1359410
- new version: 2.9.9

* Thu Sep 20 2018 umeabot <umeabot> 2.9.8-2.mga7
+ Revision: 1279921
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 2.9.8-1.mga7
+ Revision: 1248258
- new version: 2.9.8

* Wed May 11 2016 tv <tv> 2.9.3-1.mga6
+ Revision: 1012743
- new release

* Fri Feb 05 2016 umeabot <umeabot> 2.9.1-7.mga6
+ Revision: 939740
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.1-6.mga5
+ Revision: 746329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.1-5.mga5
+ Revision: 682495
- Mageia 5 Mass Rebuild

* Fri Oct 25 2013 neoclust <neoclust> 2.9.1-4.mga4
+ Revision: 546953
- imported package mingw-libxml2

